
_set_up:

;chanel_selector.c,3 :: 		void set_up() {   //Configuration for Pic16F887
;chanel_selector.c,5 :: 		ANSEL = 0;   // all the pines are configured as digital
	CLRF       ANSEL+0
;chanel_selector.c,6 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;chanel_selector.c,7 :: 		TRISB = 0;     // all the pines of PORTB are configured as digital outputs
	CLRF       TRISB+0
;chanel_selector.c,8 :: 		TRISD = 0;    //
	CLRF       TRISD+0
;chanel_selector.c,9 :: 		TRISE0_bit=1;
	BSF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;chanel_selector.c,10 :: 		PORTB = 0;
	CLRF       PORTB+0
;chanel_selector.c,11 :: 		PORTD = 0;
	CLRF       PORTD+0
;chanel_selector.c,12 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_main:

;chanel_selector.c,13 :: 		void main() {
;chanel_selector.c,15 :: 		set_up();
	CALL       _set_up+0
;chanel_selector.c,16 :: 		while (1){
L_main0:
;chanel_selector.c,24 :: 		if(select==0) PORTB = 0x3F, PORTD = 1;  // catodo común.
	MOVF       _select+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main2
	MOVLW      63
	MOVWF      PORTB+0
	MOVLW      1
	MOVWF      PORTD+0
L_main2:
;chanel_selector.c,25 :: 		if(select==1) PORTB = 0x30, PORTD = 2;
	MOVF       _select+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main3
	MOVLW      48
	MOVWF      PORTB+0
	MOVLW      2
	MOVWF      PORTD+0
L_main3:
;chanel_selector.c,26 :: 		if(select==2) PORTB = 0x5B, PORTD = 4;
	MOVF       _select+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main4
	MOVLW      91
	MOVWF      PORTB+0
	MOVLW      4
	MOVWF      PORTD+0
L_main4:
;chanel_selector.c,27 :: 		if(select==3) PORTB = 0x4F, PORTD = 8;
	MOVF       _select+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_main5
	MOVLW      79
	MOVWF      PORTB+0
	MOVLW      8
	MOVWF      PORTD+0
L_main5:
;chanel_selector.c,29 :: 		if (Button(&PORTE,0,10,0)) e=0;     //Si se pulsa.
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main6
	CLRF       _e+0
L_main6:
;chanel_selector.c,30 :: 		if (e==0 && Button(&PORTE,0,10,1)){ //Si se pulsa y se libera.
	MOVF       _e+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main9
	MOVLW      PORTE+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main9
L__main12:
;chanel_selector.c,31 :: 		select++;
	INCF       _select+0, 1
;chanel_selector.c,32 :: 		if (select>3) select=0;
	MOVF       _select+0, 0
	SUBLW      3
	BTFSC      STATUS+0, 0
	GOTO       L_main10
	CLRF       _select+0
L_main10:
;chanel_selector.c,33 :: 		e=1;
	MOVLW      1
	MOVWF      _e+0
;chanel_selector.c,34 :: 		delay_ms(10);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L_main11:
	DECFSZ     R13+0, 1
	GOTO       L_main11
	DECFSZ     R12+0, 1
	GOTO       L_main11
	NOP
;chanel_selector.c,35 :: 		}
L_main9:
;chanel_selector.c,36 :: 		}
	GOTO       L_main0
;chanel_selector.c,37 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
